CartoWeb 3.5.0
Download Now!


CartoWeb
Advanced Geographical Information System for the Web

Here is a list of known issues and their solutions.

CartoWeb (Any Versions)

PHP vs PHP/MapScript - Versions Compatibility

PHP extensions can only work with PHP minor versions they have been compiled for. Windows binaries providing adapted MapScript DLL for both PHP 5.0.x and PHP 5.1.x are available for download on http://cartoweb.org/downloads.html#msw

PHP in Apache Module and dl()

Because of the MapServer bug 1322, if you are using PHP as an Apache module (instead as CGI), CartoWeb requires the PHP function dl() to load the php_mapscript.dll.

PHP Notice: Undefined index: argv in /var/www/html/cartoweb3/cw3setup.php

Check that you have "register_argc_argv" set to "On" in the php.ini file for the PHP you are using in command line.

Unable to parse URL

class:   SoapFaultWrapper
message:   Unable to parse URL

This error occure if you set a bad cartoserver url in the client.ini, or, if you dont have a cartoserver url, then the problem is a bad cartoclient url.

mainmap image not generated yet

if this message appears when you use the outline point, outline line or outline polygon tool, it means the font specified for the Label of the corresponding outline layer is unknown. Check that the font name is correctly defined in the .font definition file. The path to this file should be defined by the FONTSET parameter in the mapfile.

CartoWeb 3.1

"You are not using PHP as a cgi..."

Failure
class: SoapFaultWrapper
message: You are not using PHP as a cgi and PHP Mapscript extension is loaded in your php.ini.
As this will cause stability problems, CartoWeb stopped.
You need to remove the php_mapscript extension loading of your php.ini file.
If you want to remove this message, edit server_conf/server.ini and set the disablePHPModuleCheck parameter to true.

Previously the message was:

If you want to remove this message, edit server/ServerContext.php and set the PHP_DSO_WARNING constant to false at the top of the file.

You are running php as Apache module and not CGI. It is not recommended because mapserver PHP extension has some issues with Apache as a module.

You should install PHP as CGI. This is explained well here: http://www.dmxzone.com/ShowDetail.asp?NewsId=6471 You can also get a Windows installer here: http://www.php.net/downloads.php (PHP 5.0.5 installer: CGI only).

If you want to run CartoWeb with PHP as Apache module (for testing or development purpose):

  • version 3.1.0 : set PHP_DSO_WARNING constant to false in server/ServerContext.php

  • version CVS : set disablePHPModuleCheck as true in server_conf/server.ini

Parse Error: parse error , unexpected $end in c:\wamp\www\cartoweb\cw3setup.php on line ...

A small bug in cw3setup.php was temporarily present in the windows installer, and it seems you have this version. To remove it, you can try to edit the file; go to line ~135, where an opening php tag has the short form <?. Simply replace this <? by <?php

CartoWeb Wiki: KnownIssues (last edited 2020-05-01 08:57:32 by OliverChristen)

© 2002-2007 CartoWeb by Camptocamp SA - Wiki powered by MoinMoin